Skip to content

getReturnableLinesForCustomer

READ

Returnable shipment lines for a customer, searched + paginated in the database via the get_returnable_shipment_lines RPC.

POST /api/v1/sales/getReturnableLinesForCustomer
curl -X POST '<your-host>/api/v1/sales/getReturnableLinesForCustomer' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "customerId": "string"
  }'
Response
{
  "results": [
    {
      "alreadyReturned": 0,
      "itemId": "string",
      "itemName": "string",
      "itemReadableId": "string",
      "itemTrackingType": "string",
      "returnableQuantity": 0,
      "salesOrderLineId": "string",
      "salesOrderReadableId": "string",
      "shipmentLineId": "string",
      "shipmentReadableId": "string",
      "shippedQuantity": 0,
      "totalCount": 0,
      "unitOfMeasureCode": "string",
      "unitPrice": 0
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "customerId": {
      "type": "string"
    },
    "args": {
      "type": "object",
      "properties": {
        "salesOrderId": {
          "type": "string"
        },
        "search": {
          "type": "string"
        },
        "limit": {
          "type": "number"
        },
        "offset": {
          "type": "number"
        }
      }
    }
  },
  "required": [
    "customerId"
  ]
}